Bug 250564 - Bug in QSqlDatabase::removeDatabase(db);
Summary: Bug in QSqlDatabase::removeDatabase(db);
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: qt   
(Show other bugs)
Version: 7
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL: http://trolltech.com/developer/task-t...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-02 08:31 UTC by Kim Bisgaard
Modified: 2008-05-23 18:02 UTC (History)
2 users (show)

Fixed In Version: F7-update
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-23 18:02:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch against qt-3.3.8 which fixes this problem (from mythtv lists) (1.12 KB, patch)
2007-08-03 10:26 UTC, Tim Smith
no flags Details | Diff

Description Kim Bisgaard 2007-08-02 08:31:17 UTC
Description of problem:
An application doing

    QSqlDatabase::removeDatabase(db);

before the QApplication instance is destroyed may result in the program crashing.

Version-Release number of selected component (if applicable):
Bug in QT 3.3.8 - Fixed in 3.3.9

Comment 1 Tim Smith 2007-08-03 10:26:43 UTC
Created attachment 160594 [details]
Patch against qt-3.3.8 which fixes this problem (from mythtv lists)

Might be nice to patch qt-3.3.8 to fix this problem until qt-3.3.9 is
available. Patch attached.

Comment 2 Bug Zapper 2008-05-14 13:49:59 UTC
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Ngo Than 2008-05-23 18:02:15 UTC
it's already fixed in qt-3.3.8b-1.fc7 which is available in F7 update long ago


Note You need to log in before you can comment on or make changes to this bug.